Subject: [email-masked]
From: "Mohd Samar. Iqbal" <[email-masked]>
To: Rosette Modiri <[email-masked]>
Date: Thu, 5 Mar 2020 11:49:51 -0700 (MST)

[email-masked] - customer came on chat that she received the unit with broken reflector and kickstand, but has also loose wires. she provided pictures as well. I can see she came on email too and RA has been already created. But she says " I am VERY disappointed in having to send it back. I am a senior citizen and this is my only transportation and I do not have a car. I can see that I don't have a choice. I want to talk to a manager or owner of the store. And yes I am sending it back again. Have the owner call me. 760-484-3905. Today!!!" 

She also said it " You don't even know how hard it is to find someone to take me to the UPS store to drop this off!!!!!!"